diff --git a/NetworkPkg/Dhcp6Dxe/Dhcp6Io.c b/NetworkPkg/Dhcp6Dxe/Dhcp6Io.c
index c20876d..dcd01e6 100644
--- a/NetworkPkg/Dhcp6Dxe/Dhcp6Io.c
+++ b/NetworkPkg/Dhcp6Dxe/Dhcp6Io.c
@@ -3061,7 +3027,7 @@ Dhcp6OnTimerTick (
                          TRUE
                          );
 
-      if (TxCb->RetryCtl.Mrt != 0 && TxCb->RetryCtl.Mrt < TxCb->RetryExp) {
+      if ((TxCb->RetryCtl.Mrt != 0) && (TxCb->RetryCtl.Mrt < TxCb->RetryExp)) {
         TxCb->RetryExp = Dhcp6CalculateExpireTime (
                            TxCb->RetryCtl.Mrt,
                            TRUE,
@@ -3074,7 +3040,7 @@ Dhcp6OnTimerTick (
       // duration time.
       //
       LossTime = TxCb->RetryLos + TxCb->RetryExp;
-      if (TxCb->RetryCtl.Mrd != 0 && TxCb->RetryCtl.Mrd < LossTime) {
+      if ((TxCb->RetryCtl.Mrd != 0) && (TxCb->RetryCtl.Mrd < LossTime)) {
         TxCb->RetryExp = TxCb->RetryCtl.Mrd - TxCb->RetryLos;
       }
 
@@ -3100,22 +3066,19 @@ Dhcp6OnTimerTick (
   //
   IaCb = &Instance->IaCb;
 
-  if (Instance->Config == NULL || IaCb->Ia == NULL) {
+  if ((Instance->Config == NULL) || (IaCb->Ia == NULL)) {
     return;
   }
 
-  if (IaCb->Ia->State == Dhcp6Bound || IaCb->Ia->State == Dhcp6Renewing || IaCb->Ia->State == Dhcp6Rebinding) {
-
+  if ((IaCb->Ia->State == Dhcp6Bound) || (IaCb->Ia->State == Dhcp6Renewing) || (IaCb->Ia->State == Dhcp6Rebinding)) {
     IaCb->LeaseTime++;
 
-    if (IaCb->LeaseTime > IaCb->T2 && IaCb->Ia->State == Dhcp6Bound) {
+    if ((IaCb->LeaseTime > IaCb->T2) && (IaCb->Ia->State == Dhcp6Bound)) {
       //
       // Exceed t2, send rebind packet to extend the Ia lease.
       //
       Dhcp6SendRenewRebindMsg (Instance, TRUE);
-
-    } else if (IaCb->LeaseTime > IaCb->T1 && IaCb->Ia->State == Dhcp6Bound) {
-
+    } else if ((IaCb->LeaseTime > IaCb->T1) && (IaCb->Ia->State == Dhcp6Bound)) {
       //
       // Exceed t1, send renew packet to extend the Ia lease.
       //
@@ -3133,28 +3096,32 @@ Dhcp6OnTimerTick (
 
   return;
 
- ON_CLOSE:
+ON_CLOSE:
 
   if (Dhcp6IsValidTxCb (Instance, TxCb) &&
-      TxCb->TxPacket != NULL &&
-      (TxCb->TxPacket->Dhcp6.Header.MessageType == Dhcp6MsgInfoRequest ||
-      TxCb->TxPacket->Dhcp6.Header.MessageType == Dhcp6MsgRenew       ||
-      TxCb->TxPacket->Dhcp6.Header.MessageType == Dhcp6MsgConfirm)
-      ) {
+      (TxCb->TxPacket != NULL) &&
+      ((TxCb->TxPacket->Dhcp6.Header.MessageType == Dhcp6MsgInfoRequest) ||
+       (TxCb->TxPacket->Dhcp6.Header.MessageType == Dhcp6MsgRenew) ||
+       (TxCb->TxPacket->Dhcp6.Header.MessageType == Dhcp6MsgConfirm))
+      )
+  {
     //
     // The failure of renew/Confirm will still switch to the bound state.
     //
     if ((TxCb->TxPacket->Dhcp6.Header.MessageType == Dhcp6MsgRenew) ||
-        (TxCb->TxPacket->Dhcp6.Header.MessageType == Dhcp6MsgConfirm)) {
+        (TxCb->TxPacket->Dhcp6.Header.MessageType == Dhcp6MsgConfirm))
+    {
       ASSERT (Instance->IaCb.Ia);
       Instance->IaCb.Ia->State = Dhcp6Bound;
     }
+
     //
     // The failure of info-request will return no response.
     //
     if (TxCb->TxPacket->Dhcp6.Header.MessageType == Dhcp6MsgInfoRequest) {
       Instance->UdpSts = EFI_NO_RESPONSE;
     }
+
     Dhcp6DequeueRetry (
       Instance,
       TxCb->Xid,
